Skip to main content

Get clear membership status

GET /v2/marketing/segments/{segment_id}/clear_status

For a given segment_id, returns the status of the clear membership operation.

Security​

NameInDescription
AuthorizationheaderThe Authorization header with the client bearer token acquired during authentication.

For more information, see Get a client access token.

Parameters​

NameInTypeRequiredDescription
segment_idpathstringRequired

The ID of the segment.

Request​

None.

Request examples​

curl --request GET \
--url 'https://connect.instacart.com/v2/marketing/segments/{segment_id}/clear_status' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'

Response​

FieldTypeRequiredDescription
segment_idstringOptional

The ID of the segment.

statusstringOptional

The current clear-membership workflow status.

Response examples​

200 Success

{
"segment_id": "f87414d7-1836-4b5c-84b5-6efeb2406a18",
"status": "clearing"
}

4XX Errors

Error responses return either a single error or multiple errors.

HTTP CodeCauseError MessageError CodeError Meta
400Missing segment_id"segment_id is required"1001{"key":"segment_id"}
401Unauthorized"Unauthorized"nullNot applicable
403Forbidden"Forbidden"nullNot applicable
404Not found"segment not found"4000Not applicable